function getVersionDropdown(productName, docName) {
	var data = '{' +
					'"datastax_enterprise" : {' +
						'"dse50" : ["DataStax Enterprise 5.0 (latest)", "/en/datastax_enterprise/5.0/"],' +
						'"dse48" : ["DataStax Enterprise 4.8", "/en/datastax_enterprise/4.8/"],' +
						'"dse47" : ["DataStax Enterprise 4.7 (EOL)", "/en/datastax_enterprise/4.7/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"cassandra" : {' +
						'"cassandra3x" : ["Cassandra 3.x Linux (tick-tock)", "/en/cassandra/3.x/"],' +
						'"cassandra30" : ["Cassandra 3.0 Linux (used by DSE 5.0)", "/en/cassandra/3.0/"],' +
						'"cassandra21" : ["Cassandra 2.1 (used by DSE 4.7, 4.8)", "/en/cassandra/2.1/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"cassandra_win" : {' +
						'"cassandrawin30" : ["Cassandra 3.0 Windows", "/en/cassandra_win/3.0/"]' +
					'},' +
					'"opscenter" : {' +
						'"opsc60" : ["OpsCenter 6.0 (latest)", "/en/opscenter/6.0/"],' +
						'"opsc52" : ["OpsCenter 5.2", "/en/opscenter/5.2/"],' +
						'"opsc51" : ["OpsCenter 5.1 (EOL)", "/en/opscenter/5.1/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"cql" : {' +
						'"cql33" : ["CQL 3.3 (used by DSE 5.0; C* 3.0, 3.x)", "/en/cql/3.3/"],' +
						'"cql31" : ["CQL 3.1 (used by DSE 4.7, 4.8 C* 2.1)", "/en/cql/3.1/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"cpp-driver" : {' +
						'"cppdriver24" : ["C/C++ driver 2.4 (latest)", "/en/developer/cpp-driver/2.4/"],' +
						'"cppdriver23" : ["C/C++ driver 2.3", "/en/developer/cpp-driver/2.3/"],' +
						'"cppdriver22" : ["C/C++ driver 2.2", "/en/developer/cpp-driver/2.2/"],' +
						'"cppdriver21" : ["C/C++ driver 2.1", "/en/developer/cpp-driver/2.1/"],' +
						'"cppdriver20" : ["C/C++ driver 2.0", "/en/developer/cpp-driver/2.0/"],' +
						'"cppdriver10" : ["C/C++ driver 1.0", "/en/developer/cpp-driver/1.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"cpp-driver-dse" : {' +
						'"cppdriverdse10" : ["DSE C/C++ driver 1.0", "/en/developer/cpp-driver-dse/1.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"csharp-driver" : {' +
						'"csharpdriver30" : ["C# driver 3.0 (latest)", "/en/developer/csharp-driver/3.0/"],' +
						'"csharpdriver27" : ["C# driver 2.7", "/en/developer/csharp-driver/2.7/"],' +
						'"csharpdriver26" : ["C# driver 2.6", "/en/developer/csharp-driver/2.6/"],' +
						'"csharpdriver25" : ["C# driver 2.5", "/en/developer/csharp-driver/2.5/"],' +
						'"csharpdriver21" : ["C# driver 2.1", "/en/developer/csharp-driver/2.1/"],' +
						'"csharpdriver20" : ["C# driver 2.0", "/en/developer/csharp-driver/2.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"csharp-driver-dse" : {' +
						'"csharpdriverdse10" : ["DSE C# driver 1.0", "/en/developer/csharp-driver-dse/1.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"java-driver" : {' +
						'"javadriver31" : ["Java driver 3.1 (latest)", "/en/developer/java-driver/3.1/"],' +
						'"javadriver30" : ["Java driver 3.0", "/en/developer/java-driver/3.0/"],' +
						'"javadriver21" : ["Java driver 2.1", "/en/developer/java-driver/2.1/"],' +
						'"javadriver20" : ["Java driver 2.0", "/en/developer/java-driver/2.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"java-driver-dse" : {' +
						'"javadriverdse10" : ["DSE Java driver 1.0", "/en/developer/java-driver-dse/1.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"nodejs-driver" : {' +
						'"nodejsdriver31" : ["Node.js driver 3.1 (latest)", "/en/developer/nodejs-driver/3.1/"],' +
						'"nodejsdriver30" : ["Node.js driver 3.0", "/en/developer/nodejs-driver/3.0/"],' +
						'"nodejsdriver22" : ["Node.js driver 2.2", "/en/developer/nodejs-driver/2.2/"],' +
						'"nodejsdriver21" : ["Node.js driver 2.1", "/en/developer/nodejs-driver/2.1/"],' +
						'"nodejsdriver20" : ["Node.js driver 2.0", "/en/developer/nodejs-driver/2.0/"],' +
						'"nodejsdriver10" : ["Node.js driver 1.0", "/en/developer/nodejs-driver/1.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"nodejs-driver-dse" : {' +
						'"nodejsdriverdse10" : ["DSE Node.js driver 1.0", "/en/developer/nodejs-driver-dse/1.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"php-driver" : {' +
						'"phpdriver12" : ["PHP driver 1.2 (latest)", "/en/developer/php-driver/1.2/"],' +
						'"phpdriver11" : ["PHP driver 1.1", "/en/developer/php-driver/1.1/"],' +
						'"phpdriver10" : ["PHP driver 1.0", "/en/developer/php-driver/1.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"python-driver" : {' +
						'"pythondriver35" : ["Python driver 3.5 (latest)", "/en/developer/python-driver/3.5/"],' +
						'"pythondriver31" : ["Python driver 3.1", "/en/developer/python-driver/3.4/"],' +
						'"pythondriver30" : ["Python driver 3.0", "/en/developer/python-driver/3.1/"],' +
						'"pythondriver28" : ["Python driver 2.8", "/en/developer/python-driver/3.0/"],' +
						'"pythondriver27" : ["Python driver 2.7", "/en/developer/python-driver/2.7/"],' +
						'"pythondriver26" : ["Python driver 2.6", "/en/developer/python-driver/2.6/"],' +
						'"pythondriver25" : ["Python driver 2.5", "/en/developer/python-driver/2.5/"],' +
						'"pythondriver21" : ["Python driver 2.1", "/en/developer/python-driver/2.1/"],' +
						'"pythondriver20" : ["Python driver 2.0", "/en/developer/python-driver/2.0/"],' +
						'"pythondriver10" : ["Python driver 1.0", "/en/developer/python-driver/1.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"python-driver-dse" : {' +
						'"pythondriverdse10" : ["DSE Python driver 1.0", "/en/developer/python-driver-dse/1.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"ruby-driver" : {' +
						'"rubydriver30" : ["Ruby driver 3.0 (latest)", "/en/developer/ruby-driver/3.0/"],' +
						'"rubydriver21" : ["Ruby driver 2.1", "/en/developer/ruby-driver/2.1/"],' +
						'"rubydriver20" : ["Ruby driver 2.0", "/en/developer/ruby-driver/2.0/"],' +
						'"rubydriver12" : ["Ruby driver 1.2", "/en/developer/ruby-driver/1.2/"],' +
						'"rubydriver11" : ["Ruby driver 1.1", "/en/developer/ruby-driver/1.1/"],' +
						'"rubydriver10" : ["Ruby driver 1.0", "/en/developer/ruby-driver/1.0"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"ruby-driver-dse" : {' +
						'"rubydriverdse10" : ["DSE Ruby driver 1.0", "/en/developer/ruby-driver-dse/1.0/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"odbc-driver" : {' +
						'"odbcdriver" : ["ODBC driver", "/en/developer/odbc-driver/doc/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"devcenter" : {' +
						'"devcenter" : ["DevCenter", "/en/developer/devcenter/doc/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"upgrade" : {' +
						'"upgrade" : ["Upgrade", "/en/upgrade/doc/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"playlist" : {' +
						'"playlist" : ["Playlist (Java) for DSE 4.8", "/en/playlist/doc/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"tutorials" : {' +
						'"kerberos" : ["Kerberos", "/en/tutorials/kerberos/doc/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"driver-matrix" : {' +
						'"drivermatrix" : ["Driver compatability", "/en/developer/driver-matrix/doc/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"studio" : {' +
						'"studio10" : ["DSE Studio 1.0", "/en/studio/1.0/"],' +
						'"studio11" : ["DSE Studio 1.1", "/en/studio/1.1/"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"glossary" : {' +
						'"glossary" : ["Glossary", "/en/glossary/doc/glossary/glossaryTOC.html"],' +
						'"all" : ["All docs", "/en/landing_page/doc/landing_page/docList.html"]' +
					'},' +
					'"cassandra-jajp" : {' +
						'"jajpcassandra30" : ["Cassandra 3.0 Linux (DSE 5.0で使用)", "/ja/cassandra-jajp/3.0/"],' +
						'"jajpcassandra20" : ["Cassandra 2.0 Linux", "/ja/archived/cassandra-jajp/2.0/"],' +
						'"all" : ["ドキュメント一覧", "/ja/landing_page-jajp/doc/landing_page/docList.html"]' +
					'},' +
					'"cassandra_win-jajp" : {' +
						'"cassandrawin30" : ["Cassandra 3.0 Windows", "/ja/cassandra_win-jajp/3.0/"],' +
						'"all" : ["ドキュメント一覧", "/ja/landing_page-jajp/doc/landing_page/docList.html"]' +
					'},' +
					'"cql-jajp" : {' +
						'"jajpcql33" : ["CQL 3.3 (used by DSE 5.0; C* 3.0, 3.x)", "/ja/cql-jajp/3.3/"],' +
						'"jajpcql31" : ["CQL 3.1 (used by DSE 4.7, 4.8 C* 2.1)", "/ja/cql-jajp/3.1/"],' +
						'"all" : ["ドキュメント一覧", "/ja/landing_page-jajp/doc/landing_page/docList.html"]' +
					'},' +
					'"upgrade-jajp" : {' +
						'"jajpupgrade" : ["Upgrade", "/ja/upgrade-jajp/doc/"],' +
						'"all" : ["ドキュメント一覧", "/ja/landing_page-jajp/doc/landing_page/docList.html"]' +
					'},' +
					'"glossary-jajp" : {' +
						'"jajpglossary" : ["Glossary", "/ja/glossary-jajp/doc/glossary/glossaryTOC.html"],' +
						'"all" : ["ドキュメント一覧", "/ja/landing_page-jajp/doc/landing_page/docList.html"]' +
					'}' +
				'}';
	var parsed = JSON.parse(data);
	if ( docName == "landingpage" || docName == "jajplandingpage") {
		var divElement = document.getElementsByClassName("match-version")[0];
		divElement.style.display = "none";
		return;
	}
	var eolProducts = [ "dse32", "dse40", "dse45", "dse46", "dse48", "dse50", "cassandra12", "cassandra20",
	                    "cassandra22", "cassandrawin22", "cassandrawin30", "cassandra30", "opsc52", "opsc50", "opsc40",
	                    "opsc41", "opsc60", "cql30", "cql33" ];
	if ( eolProducts.includes(docName) ) {
		var spanElement = document.getElementsByClassName("hide-match-version")[0];
		spanElement.style.display = "none";
	    return;
	}
	var selectElement = document.createElement("select");
	selectElement.setAttribute("onchange", "contextAwareVersionSwitcher(this.options[this.selectedIndex].value);");
	if ( parsed[productName][docName] ) {
        for ( option in parsed[productName] ) {
            var optionElement = document.createElement("option");
            if ( option == docName ) {
                optionElement.setAttribute("selected", "true");
            }
            var contentNode = document.createTextNode(parsed[productName][option][0]);
            optionElement.appendChild(contentNode);
            optionElement.setAttribute("value", parsed[productName][option][1]);
            selectElement.appendChild(optionElement);
        }
	} else {
        var emptyOptionElement = document.createElement("option");
        var emptyContentNode = document.createTextNode("TBD");
        emptyOptionElement.appendChild(emptyContentNode);
        emptyOptionElement.setAttribute("value", "/en/landing_page/doc/landing_page/docList.html");
        selectElement.appendChild(emptyOptionElement);
	}
	var formElement = document.getElementById('version-dropdown');
	var oldSelectElement = formElement.firstElementChild;
	formElement.replaceChild(selectElement, oldSelectElement);
};

function contextAwareVersionSwitcher(selectedUrl) {
	var pathArray = window.location.pathname.split( '/' );
	var currentUrl;
	// handle latest-* urls in dropdown
	if (pathArray[2].indexOf("latest") > -1) {
		currentUrl = "/" + pathArray[1] + "/" + pathArray[2] + "/";
	} else {
		currentUrl =  "/" + pathArray[1] + "/" + pathArray[2] + "/" + pathArray[3] + "/";
	}
	// get the topic location by removing the current doc base url from window.location.href
	rawUrl = window.location.href;
	path = window.location.pathname;
	host = rawUrl.replace(path, "");
	rawUrl = rawUrl.replace(host, "");
	// now strip the currently selected doc base url
	parsedUrl = rawUrl.replace(currentUrl, selectedUrl);
	// See if the topic exists in the selected doc; if so, go to topic, if not go to base url
	var xhr = new XMLHttpRequest();
	xhr.onreadystatechange = function() {
		// if the topic exists, we'll get a 200 response
		if (this.readyState == 4) {
			if (this.status == 200) {
				window.location = parsedUrl;
			} else {
				window.location = selectedUrl;
			}
		}
	}
	xhr.onerror = function() {
		console.log("Current topic not in selected doc, redirect to doc home " + selectedUrl);
		window.location = selectedUrl;
	}
	xhr.open('GET', parsedUrl, true);
	xhr.send();
}
